Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
USE="-apache2" wordt genegeerd.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Dutch
View previous topic :: View next topic  
Author Message
hvwees
n00b
n00b


Joined: 05 Jan 2004
Posts: 26
Location: The Netherlands

PostPosted: Sun Jun 20, 2004 6:06 am    Post subject: USE="-apache2" wordt genegeerd. Reply with quote

Hi All,

Ik heb een server met o.a. apache 1.3.31.
Ik hou graag mijn systeem up to date als het gaat om security issues enzo.
Maar nu heb ik "last" van het volgende
Als ik emerge sync ; emerge -puv world doe dan is dit het resultaat (ik knip even wat parameters weg voor de leesbaarheid)

Code:
[ebuild     U ] dev-php/php-4.3.6-r1 [4.3.4-r4]
[ebuild  N    ] net-www/apache-2.0.49-r3 
[ebuild     U ] dev-php/mod_php-4.3.6-r2 [4.3.4-r4] -X -apache2


Ik wil wel graag naar php 4.3.6 maar gentoo zal en moet per sé apache2 installeren, maar ik wil helemaal geen apache 2 !

In mijn USE flags staat o.a. -apache2 , maar daar trekt emerge zich bijzonder weinig van aan....

Iemand enig idee hoe ik php 4.3.6 met apache 1.3.x kan laten werken?
_________________
With kind regards,

Huib
Back to top
View user's profile Send private message
sgaap
l33t
l33t


Joined: 16 Aug 2002
Posts: 754
Location: Enschede, The Netherlands

PostPosted: Sun Jun 20, 2004 4:51 pm    Post subject: Reply with quote

gebeurt dit ook als je alleen los mod_php wilt emergen? (dus niet met world)
zowel php als mod_php hebben namelijk een berg useflags waarvan er vast eentje via een omweggetje apache2 nodig heeft
_________________
In "old" Europe we already have a word for "pre-emptive strikes" mr Bush: its called "war"
Back to top
View user's profile Send private message
hvwees
n00b
n00b


Joined: 05 Jan 2004
Posts: 26
Location: The Netherlands

PostPosted: Mon Jun 21, 2004 2:29 am    Post subject: Reply with quote

sgaap wrote:
gebeurt dit ook als je alleen los mod_php wilt emergen? (dus niet met world)
zowel php als mod_php hebben namelijk een berg useflags waarvan er vast eentje via een omweggetje apache2 nodig heeft


Dat was ik vergeten erbij te vertellen.....
Ja ook dan wil ie per sé apache2 installeren :-(
_________________
With kind regards,

Huib
Back to top
View user's profile Send private message
sgaap
l33t
l33t


Joined: 16 Aug 2002
Posts: 754
Location: Enschede, The Netherlands

PostPosted: Mon Jun 21, 2004 11:50 am    Post subject: Reply with quote

Dan zou ik ook even kijken hoe de ebuild (van mod_php) eruit ziet, moet toch een reden zijn dat die perse apache2 nodig heeft

edit:
https://bugs.gentoo.org/show_bug.cgi?id=47345
_________________
In "old" Europe we already have a word for "pre-emptive strikes" mr Bush: its called "war"
Back to top
View user's profile Send private message
hvwees
n00b
n00b


Joined: 05 Jan 2004
Posts: 26
Location: The Netherlands

PostPosted: Mon Jun 21, 2004 5:56 pm    Post subject: Reply with quote

sgaap wrote:
Dan zou ik ook even kijken hoe de ebuild (van mod_php) eruit ziet, moet toch een reden zijn dat die perse apache2 nodig heeft

edit:
https://bugs.gentoo.org/show_bug.cgi?id=47345


Thanx, die ga ik even tracken en kijken of het allemaal helpt wat erin staat.
_________________
With kind regards,

Huib
Back to top
View user's profile Send private message
hvwees
n00b
n00b


Joined: 05 Jan 2004
Posts: 26
Location: The Netherlands

PostPosted: Wed Oct 06, 2004 12:16 pm    Post subject: Niet weer he! Reply with quote

De vorige keer ging dit "sportaan" over en nu heb ik deze ellende weer.....

Een eerste poging om de oplossingen te gebruiken uit het bug report, hielpen niet.....

Iemand een echt werkende oplossing?
_________________
With kind regards,

Huib
Back to top
View user's profile Send private message
spufi
Tux's lil' helper
Tux's lil' helper


Joined: 25 Apr 2002
Posts: 119
Location: Mechelen - Belgium

PostPosted: Thu Oct 07, 2004 8:00 am    Post subject: Re: Niet weer he! Reply with quote

hvwees wrote:
Iemand een echt werkende oplossing?


Als je echt uberunstable/prutsing-mode wil gaan, kan je altijd in de betreffende ebuilds bij de dependencies zien of apache2 er daar ergens tussen staat en desnoods commenten ...

but as I said: da's zwaar prutsen, heb 't heel af en toe eens moeten doen in de begintijden van gentoo toen ebuilds (soms wel eens) nog user-fiddling nodig hadden.
Back to top
View user's profile Send private message
garo
Bodhisattva
Bodhisattva


Joined: 15 Jul 2002
Posts: 860
Location: Edegem,BELGIUM

PostPosted: Thu Oct 07, 2004 8:45 am    Post subject: Re: USE="-apache2" wordt genegeerd. Reply with quote

hvwees wrote:
Iemand enig idee hoe ik php 4.3.6 met apache 1.3.x kan laten werken?


Ah, nog iemand die de pracht van /etc/portage niet kent, in deze directory kan je een heleboel bestanden aanmaken om de preciese werking van portage te controleren.
Om die apache2 niet te installeren kan je het volgende doen:

Code:
mkdir /etc/portage
cat > /etc/portage/package.mask
net-www/apache
<CTRL-D>


aangezien portage in /etc/portage/package.mask net-www/apache ziet staan zal hij geen enkele apache installeren, dit willen we ook niet dus doen we ook nog het volgende:

Code:
cat > /etc/portage/package.unmask
~net-www/apache-1.3.31
<CTRL-D>


Nu denkt portage dat alle apache packages masked zijn, behalve 1.3.31 plus alle revisions (updates van de ebuild, niet het package, deze worden aangeduid met -r1,-r2,...). De "~" zorgt ervoor dat de revisions ook unmasked worden.
Er zal wel nooit een update van het apache 1.3.31 komen (aangezien iedereen met de 2 bezig is) dus daar hoeven we geen rekening mee te houden.
_________________
My favorite links this month:
- Surf Random
- Web-based SSH
- Stop Spam
Back to top
View user's profile Send private message
hvwees
n00b
n00b


Joined: 05 Jan 2004
Posts: 26
Location: The Netherlands

PostPosted: Fri Oct 08, 2004 3:38 pm    Post subject: ThanX! Reply with quote

Aha! dank je GARO!

Eindelijk iemand die me het enigssinds kan uitleggen!

Dit is zo te zien de oplossing, ik kom er gelijk achter dat ik dus nog met 1.3.31-r2 werk ;-)

Ik heb nog een vraagje maar dat stel ik wel in een nieuw topic nadat ik eerst het antwoord probeer te zoeken.
_________________
With kind regards,

Huib
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Dutch All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum